Come posso aggiungere un PPA da una versione precedente?

Ho cercato di ottenere vim con la patch breakindent applicata , ma è disponibile solo tramite Quantal e sto eseguendo Raring. C’è un modo per forzare l’installazione di un PPA da una versione precedente? Ho provato a scaricare manualmente tutti i pacchetti e ad eseguire sudo dpkg -i ma ottengo molti errori sulle dipendenze, alcune delle quali non sembrano risolvibili. Sono bloccato a dover compilare me stesso?

Dovresti scegliere Modifica in Software e aggiornamenti > Altri software dalla ricerca di oggetti rari alla distribuzione quantistica .

altro software

Dopo aver aggiunto il repository, puoi provare a cambiare manualmente la distribuzione:

 $ cat /etc/apt/sources.list.d/eudoxos-vim-breakindent-.list deb http://ppa.launchpad.net/eudoxos/vim-breakindent/ubuntu  main deb-src http://ppa.launchpad.net/eudoxos/vim-breakindent/ubuntu  main 

Quindi sostituisci su quelle voci con quantal , e fai sudo apt-get update . Non è garantito che funzioni, ma in caso contrario è ansible ripristinare le cange o rimuovere il PPA.